/************************************************************************************
					 _     _           _     _       _     _   
					| |   (_)         | |   (_)     | |   | |  
					| |    ___   _____| |    _  __ _| |__ | |_ 
					| |   | \ \ / / _ \ |   | |/ _` | '_ \| __|
					| |___| |\ V /  __/ |___| | (_| | | | | |_ 
					\_____/_| \_/ \___\_____/_|\__, |_| |_|\__|
												__/ |          
BETA Firmware 								   |___/
							
EEPROM Algorithms for LiveLight V2 Firmware
Written by Henri Rantanen

Date		15.1.2012
Version		2.4
Target		PCB Version 5, Atmel ATMEGA32-16U

************************************************************************************/
#include "settings.h"



void WriteEE_defaults(void)
{
	cli();	// Disable all interrupts while writing EEPROM	
		
	//Set back lights to yellow, TC-channel to red
	PORTA = 0x77;	PORTB = 0x0C; PORTC = 0xB5;	PORTD = 0xD8;
	
	// 1 second delay
	_delay_ms(1000);		
	
	// Write EEPROM
	eeprom_write_byte ((uint8_t*)	0, 0xDB	);	// Write Check byte
	eeprom_write_byte ((uint8_t*)	1, 96	);	// Write 9600 BAUD rate
	eeprom_write_byte ((uint8_t*)	2, 0x5A	);	// Write Prefix
	eeprom_write_byte ((uint8_t*)	3, 0x10 );	// Write Shut-Down Delay
	eeprom_write_byte ((uint8_t*)	4, 0x01	);	// Write BlackLevel
		
	// Verify EEPROM
	if (EE_HEADER == 0xDB && BAUD_RATE == 96 && HEADER_BYTE == 0x5A && SLEEP_DELAY == 0x10 && BLACK_LEVEL == 0x01)
	{
		PORTB = 0x1C;	PORTD = 0xD0;			// Set TC to GREEN
	} 
	else
	{
		eeprom_write_byte ((uint8_t*)0, 0xFF);	// Mark EEPROM as faulty 
	}
	
	// 1 second delay
	_delay_ms(1000);
}